[supervisord]
nodaemon=true
logfile=/var/log/supervisor/supervisord.log
pidfile=/var/run/supervisord.pid

[program:nginx]
command=/usr/sbin/nginx -g 'daemon off;'
autostart=true
autorestart=true
stdout_logfile=/var/log/nginx/stdout.log
stderr_logfile=/var/log/nginx/stderr.log

[program:backend]
command=/bin/sh -c "cd /app/backend && node .output/server/index.mjs"
directory=/app/backend
autostart=true
autorestart=true
stdout_logfile=/var/log/backend/stdout.log
stderr_logfile=/var/log/backend/stderr.log
environment=NODE_ENV="production",PORT="3000",NITRO_PORT="3000"
